curl --request POST \
--url https://api.nitrosend.com/v1/my/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"channel": "email"
}
'{
"id": 123,
"account_id": 123,
"status": "draft",
"approval_state": "<string>",
"channel": "email",
"name": "<string>",
"data": {},
"scheduled_at": "2023-11-07T05:31:56Z",
"sent_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"trigger": {
"id": 123,
"flow_id": 123,
"event": "<string>",
"segment_id": 123,
"contact_list_id": 123,
"data": {},
"triggered_count": 123,
"last_triggered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"template": {
"id": 123,
"name": "<string>",
"flow_id": 123,
"action_id": 123,
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"reply_to": "<string>",
"design": {
"sections": [
{
"type": "header",
"props": {},
"styles": {
"background_color": "<string>",
"padding": "<string>",
"align": "left"
}
}
],
"theme": {
"brand_color": "<string>",
"bg_color": "<string>",
"text_color": "<string>",
"font_body": "<string>",
"font_heading": "<string>",
"logo_url": "<string>"
}
},
"variables": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"templates": [
{
"id": 123,
"name": "<string>",
"flow_id": 123,
"action_id": 123,
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"reply_to": "<string>",
"design": {
"sections": [
{
"type": "header",
"props": {},
"styles": {
"background_color": "<string>",
"padding": "<string>",
"align": "left"
}
}
],
"theme": {
"brand_color": "<string>",
"bg_color": "<string>",
"text_color": "<string>",
"font_body": "<string>",
"font_heading": "<string>",
"logo_url": "<string>"
}
},
"variables": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}curl --request POST \
--url https://api.nitrosend.com/v1/my/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"channel": "email"
}
'{
"id": 123,
"account_id": 123,
"status": "draft",
"approval_state": "<string>",
"channel": "email",
"name": "<string>",
"data": {},
"scheduled_at": "2023-11-07T05:31:56Z",
"sent_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"trigger": {
"id": 123,
"flow_id": 123,
"event": "<string>",
"segment_id": 123,
"contact_list_id": 123,
"data": {},
"triggered_count": 123,
"last_triggered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"template": {
"id": 123,
"name": "<string>",
"flow_id": 123,
"action_id": 123,
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"reply_to": "<string>",
"design": {
"sections": [
{
"type": "header",
"props": {},
"styles": {
"background_color": "<string>",
"padding": "<string>",
"align": "left"
}
}
],
"theme": {
"brand_color": "<string>",
"bg_color": "<string>",
"text_color": "<string>",
"font_body": "<string>",
"font_heading": "<string>",
"logo_url": "<string>"
}
},
"variables": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"templates": [
{
"id": 123,
"name": "<string>",
"flow_id": 123,
"action_id": 123,
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"reply_to": "<string>",
"design": {
"sections": [
{
"type": "header",
"props": {},
"styles": {
"background_color": "<string>",
"padding": "<string>",
"align": "left"
}
}
],
"theme": {
"brand_color": "<string>",
"bg_color": "<string>",
"text_color": "<string>",
"font_body": "<string>",
"font_heading": "<string>",
"logo_url": "<string>"
}
},
"variables": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}API key (nskey_live_...) or JWT token. API key is checked first;
if not found, falls back to Devise JWT authentication.
Campaign created
draft, active, paused, completed email, sms Show child attributes
Show child attributes
Show child attributes